Last Comment Bug 595703 - Malformed font leads to crash in Apple's ATSUI [@OTL::GCommon::ApplyLookupAt]
: Malformed font leads to crash in Apple's ATSUI [@OTL::GCommon::ApplyLookupAt]
Status: VERIFIED FIXED
: verified1.9.2
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 1.9.2 Branch
: x86 Mac OS X
: -- critical (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
:
: Milan Sreckovic [:milan]
Mentors:
Depends on: CVE-2010-3768
Blocks: fuzzing-fonts
  Show dependency treegraph
 
Reported: 2010-09-12 13:20 PDT by Christoph Diehl [:posidron]
Modified: 2012-05-01 06:50 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.13-fixed
.16-fixed


Attachments
testcase (113.34 KB, application/zip)
2010-09-12 13:20 PDT, Christoph Diehl [:posidron]
no flags Details
callstack (47.58 KB, text/plain)
2010-09-12 13:21 PDT, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2010-09-12 13:20:35 PDT
Created attachment 474565 [details]
testcase

This bug has a simliar callstack to:
https://bugzilla.mozilla.org/show_bug.cgi?id=594627

Table: b'GSUB'
Number of replaced values: 4
Offset:   156/0x00009c	Value: ['20', '00']
Offset:   431/0x0001af	Value: ['00', '00', '00', '01']
Offset:  1142/0x000476	Value: ['80', '00', '00', '00']
Offset:  1382/0x000566	Value: ['80', '00', '00', '00']

Table: b'GPOS'
Number of replaced values: 2
Offset:  1730/0x0006c2	Value: ['ff', 'c4', '40', '0f']
Offset:  4438/0x001156	Value: ['80', '00']
Comment 1 Christoph Diehl [:posidron] 2010-09-12 13:21:18 PDT
Created attachment 474566 [details]
callstack
Comment 2 Jonathan Kew (:jfkthame) 2010-09-29 04:48:09 PDT
This will be fixed by the OTS sanitizer (bug 527276).
Comment 3 Al Billings [:abillings] 2010-11-18 14:07:25 PST
Verified fixed in 1.9.2.13 with Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6;
en-US; rv:1.9.2.13pre) Gecko/20101118 Namoroka/3.6.13pre using testcase. Test
no longer crashes as it does in 1.9.2.12.

Note You need to log in before you can comment on or make changes to this bug.